/*
	CSS Display Property:
	
	display: block;
		- changes the element into a block elemnt (takes up the full width of the browser) can change height/width
		- Ex: p, h1-h6, div, ul/ol &li
	
	display: inline;
		- changes the element into a block elemnt (takes only the space needed.) can not change height/width
		- Ex: span, button, label, input (most form elemnts)

	display: inline-block;
		- combination of the two elements.
		- acts as inline element, but still have the property of a block element (can change height/width)
		- Ex: img
	
	dispal:none;
		- hides the element from the website and will not shown visually

*/

#div-1 {
	background-color: green;
	display: inline;
	width: 200px;
	height: 200px;
}

#span-1 {
	background-color: purple;
	display: none;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: red;
	display: block;
}

#div-2 {
	background-color: hotpink;
	display: none;
}

#img {
	width: 250px;
	height: 250px;
	display: inline-block;
}

/*
	CSS Background Property (Color Values)
	#hexcode value
		- hexadecimal color is specified with:
			- #RRGGBB (Red, Green, Blue) 
			- Between 00 and FF (0-9, A-F)

	rgb (red, gree, blue) or rgba (red, green, blue, alpha) vlaue
		- values inside the parenthesis is between 0 and 255 (percentage values 0% - 100%)
		- alpha sets the opacity of a color set (0.0 to 1.0)

	color name values
		- compose of 140 colors, commonly used for changing color in an element.

*/

#p-1 {
	background-color: #87CEFA; /*hexcode value*/
}

#p-2 {
	background-color: rgba(255, 105, 180, 0.50); /*rgb() or rgba ()*/
	width: 60%;
}

#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	/*	border: thickness border_type color*/
	border: 1px solid black;
	text-align: center;
}

/*
	CSS Float Property

		- none: element will not float (follows the default flow)
		- right: floats to the right of the container.
		- left: float to the left of its container.
		- inherit: inherit float value of parent.

*/

.img-float {
	width: 250px;
	height: 250px;
	float: inherit;
}

/*
	CSS Units

	pixels(px)
		- is relative to the viewscreen(based on the screen resolution)
		- higher resolutions = higher pixel

	percentage(%)
		- relative to parent element
		- height and width will be based on parent container

	viewport units (vh - viewport height; vw - viewport width)
		- relative to the viewport/browser window size

	em
		- relative to the parent element.
		- equal px size = em*parent set size

	rem
		- relative to the root element (HTML tag)
		- equal px size = rem*root size

*/

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.parent {
	width: 250px;
	border: 2px solid navy;
	font-size: 30px;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
	height: 25vh;
}

.one-rem {
	/*	1rem = 16px (font-size of the root element)	*/
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent {
	font-size: 200%;
}


/*

	Background Property
	- background-color :change the color of background
	- backgroung-img : url(URI) - takes on the path of the image
	- bachground-repeat : sets how the background image will be repeated
						: no repeat, repeat, repeat-x, repeat-y, space, round
	- background-size : specify the size of the background image (auto | cover | contain | unit values)
	- background-position : changes the position of the background image relative to the HTML element (X and Y axis)
						: values: top center bottom (y-axis) & left center right (x-axis) | unit values
	- background-attachment: sets whether a background images scrolls with the rest of the page or is fixed


*/

.background {
	min-height: 20rem;
/*	background-color: gray;*/
	/* hex: #808080 or rgb: (128, 128,128)	*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg) ;
	background-repeat: no-repeat;
	background-size: 100%;
	/*	background-position: x-axis y-axis*/
	background-position: center top;
	background-attachment: fixed;

}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

/*
	CSS Position Property

	position: statis
		- this is the default value for elements and follows the normal document flow.
		- Left, Right, Top, Bottom, Z-index will not apply with static position.
	
	position: relative
		- remains with the normal document flow, but will be affected top, left, right, bottom and Z-index property

	position: absolute
		- This are position relative to their closest positioned ancestor.

	position: fixed
		-same with absolute but it always relative to the initial containing block (html tag). nka stay lng sa place kahit iscroll mo

	position: sticky
		- acts relatively positioned element until a scroll point happened and it acts like a fixed element.

*/

.parent-element {
    background-color: skyblue;
    padding: 50px 10px;
    position: relative;
    height: 800vh;
}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
/*    left: 10px;*/
/*    bottom: 10px;*/
    top: 0;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

/*

	Z-index Property
		- it also belongs to position: top, bottom, right, and left.
		- it manipulates the stacked order.
		- an elemnt with greater stack order is always in front of an elemnt with a lower stack order.
*/

.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box {
	position: absolute;
	z-index: 2;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box {
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}